---
lang: en
title: 'API docs: core.islifecycleobserver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.islifecycleobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [isLifeCycleObserver](./core.islifecycleobserver.md)

## isLifeCycleObserver() function

Test if an object implements LifeCycleObserver

**Signature:**

```typescript
export declare function isLifeCycleObserver(obj: object): obj is LifeCycleObserver;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  obj | object | An object |

**Returns:**

obj is [LifeCycleObserver](./core.lifecycleobserver.md)


